# LongerBelts

![demo](https://raw.githubusercontent.com/makuwa8992/DSP_Mods/main/LongerBelts/img/demo.gif)  
#### The long-distance geodesic path can be switched by pressing the "R" key when building the conveyor belt
#### 在建设传送带时通过按"R"键可以切换为长间距测地线模式


## 更新日志
* 1.1.2
  * UI窗口的语言不再需要设置配置文件，语言将随游戏语言转换

* 1.1.1
  * 增加UI窗口的英文渣翻(在"config"文件中设置语言选项)

* 1.1.0
  * 增加UI窗口，按R+数字键3呼出(你可以在"config"文件里更改快捷键)
  * UI窗口中增加是否启用阿基米德螺线型路径的选项(替代原先的水平移动一格后每节升降0.5层至目标高度的逻辑)
  * UI窗口中增加自定义传送带最大间距的选项，范围为原版游戏直接建造传送带线路时的合法判定的范围(以米为单位,默认为1.9m)
  * UI窗口中增加弱约束自定义传送带最大间距的选项，范围可能包含游戏内本应无法建造的非法间距。建议与含有类似"配合铺设无条件"功能的mod一起使用

* 1.0.0
  * 保留原版游戏的测地线模式，在按R键切换路径时新增长距离测地线模式

* 0.0.1
  * 在测地线模式下建造传送带时默认间距在游戏允许的范围内变得更长


## 未来可能的更新
* 将功能合并到其它mod中
* 本地化英文翻译
* 美化UI窗口

## 使用说明

将plugins文件夹放到BepInEx路径下或通过mod管理器安装

## Updates
* 1.1.2
  * The language for the UI window no longer needs to be set in the configuration file, it will change with the game's language.

* 1.1.1
  * Added rough English translation of UI window(You can change the language options in the 'config' file).

* 1.1.0
  * Added a UI window accessible by pressing R and then 3 on the keyboard(You can change the keyboard shortcuts in the 'config' file).
  * Added an option in the UI window to enable or disable the Archimedean Spiral Path logic (replacing the original logic of moving horizontally one grid and changing elevation by 0.5 units per segment to reach the target height).
  * Added an option in the UI window to customize the maximum conveyor belt spacing, within the legal constraints of the base game's conveyor belt placement (measured in meters, defaulting to 1.9m).
  * Add an option in the UI window for a soft constraint to customize the maximum spacing of conveyor belts, which may include intervals that are normally illegal for construction in the game. It is recommended to use this option in conjunction with mods that have similar "unconditional placement" functionality.

* 1.0.0
  * Keep the geodesic path of the original game, and increase the long-distance geodesic path when you press the R key to switch paths

* 0.0.1
  * When building belts in geodesic mode the default spacing becomes longer as far as the game allows.


## Future versions(Maybe)
* Maybe incorporate this functionality into other mods
* Improve English translation.
* Enhance the UI window aesthetically

## Usage

Place the 'plugins' folders in the BepInEx directory or install them through a mod manager.